main/urls.py
from django.conf import settings
from django.conf.urls.static import static
from django.urls import path
from django.views.generic import TemplateView

from main.apps import MainConfig
from main.views import index_view, PostListView, PostView, GuideView, TourListView, TourDetailView, check_availability

app_name = MainConfig.name
urlpatterns = [
    path('', index_view, name='index'),
    path('blog/', PostListView.as_view(), name='blog'),
    path('blog/<slug:slug>', PostView.as_view(), name='post'),
    path('guides/<slug:slug>', GuideView.as_view(), name='guide'),
    path('tours/', TourListView.as_view(), name='tours'),
    path('tours/<slug:slug>', TourDetailView.as_view(), name='tour'),
    path('visa-to-russia', TemplateView.as_view(template_name='visa.html'), name='visa'),
              ] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

htmx_urlpatterns = [
    path('check_availability/', check_availability, name='check-availability'),
]

urlpatterns += htmx_urlpatterns

moscowprivatetours/urls.py
from django.conf.urls.i18n import i18n_patterns
from django.urls import path, include

from users.admin import custom_admin_site

urlpatterns = [


    path('admin/', custom_admin_site.urls),



]

urlpatterns += i18n_patterns(
    path('', include('main.urls', namespace='main')),
        path('', include('users.urls', namespace='users')),
    prefix_default_language=False,
)

users/urls.py
from django.urls import path

from users.apps import UsersConfig
from users.views import contacts

app_name = UsersConfig.name
urlpatterns = [
    path('contacts', contacts, name='contacts'),

              ]

templates/includes/inc_black_logo.html
<svg width="100" class="mr-3" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
     viewBox="0 0 250 250">
    <g fill="none" stroke="gray" stroke-miterlimit="10" stroke-width="3">
        <use xlink:href="#a"/>
        <use xlink:href="#b"/>
        <use xlink:href="#c"/>
        <use xlink:href="#d"/>
        <path d="M91 29c-1-2-2-5-1-7l3-6h1l1-2 2-4 1-2 1-1 1 1 1 2 1 4 1 2h1c2 1 3 3 3 6l-1 7"/>
        <use xlink:href="#e"/>
        <use xlink:href="#f"/>
        <use xlink:href="#g"/>
        <use xlink:href="#h"/>
    </g>
    <g fill="gray">
        <path d="m68 148 2-15 2-11h-1l-5 11-7 14h-4l-2-14-1-11-2 11-4 15h-5l8-31h7l2 14v9l4-9 8-14h7l-4 31h-5zm16-9c0 3 2 5 5 5 4 0 6-6 6-10 0-2-1-5-4-5-4 0-7 6-7 10m17-5c0 8-5 14-13 14-6 0-9-4-9-9 0-8 5-14 13-14 6 0 9 4 9 9"/>
        <use xlink:href="#i"/>
        <use xlink:href="#j"/>
        <path d="M147 139c0 3 1 5 4 5 4 0 7-6 7-10 0-2-1-5-5-5s-6 6-6 10m16-5c0 8-5 14-13 14-5 0-9-4-9-9 0-8 5-14 13-14 6 0 9 4 9 9m9-9v18l3-7 5-11h5l1 11v7l2-7 5-11h6l-11 23h-5l-1-10-1-7-2 7-5 10h-5l-2-23h5z"/>
        <use xlink:href="#k"/>
        <use xlink:href="#l"/>
        <use xlink:href="#m"/>
        <path d="m100 171 1 11 1 6 2-6 6-11h6l-12 22h-6l-4-22h6z"/>
        <use xlink:href="#n"/>
        <use xlink:href="#o"/>
        <path d="M167 174c-4 0-6 3-7 6 6 0 9-1 9-3s-1-3-2-3m5 18-8 2c-6 0-9-4-9-10s5-14 12-14c5 0 7 3 7 7 0 5-6 7-14 7v3c1 2 3 2 5 2l6-1 1 4zM52 213h-8l1-5h22l-1 5h-8l-5 26h-6l5-26zm16 17c0 3 1 5 4 5 4 0 7-5 7-10 0-2-1-5-5-5s-6 6-6 10m16-5c0 8-5 14-13 14-5 0-9-4-9-9 0-7 5-14 13-14 6 0 9 4 9 9"/>
        <use xlink:href="#p"/>
        <path d="m111 239 3-14 1-9h5l-1 5c2-3 4-5 7-5h2l-1 5h-1c-4 0-7 4-8 9l-1 9h-6z"/>
        <use xlink:href="#q"/>
    </g>
    <path d="m66 146 2-14 2-12-5 11-8 15h-4l-1-15-1-11-3 12-3 14h-5l8-31h7l1 15 1 9 4-9 7-15h8l-5 31h-5zm17-9c0 3 2 6 4 6 4 0 7-6 7-10 0-3-1-6-4-6-5 0-7 6-7 10m17-4c0 7-6 14-13 14-6 0-9-4-9-10 0-7 5-14 12-14 6 0 10 5 10 10"/>
    <use xlink:href="#i" x="-1.3" y="-1.3"/>
    <use xlink:href="#j" x="-1.3" y="-1.3"/>
    <path d="M145 137c0 3 2 6 5 6 4 0 6-6 6-10 0-3-1-6-4-6-4 0-7 6-7 10m17-4c0 7-5 14-13 14-6 0-9-4-9-10 0-7 5-14 13-14 6 0 9 5 9 10m9-9v17l3-6 5-11h5l1 11v6l2-6 5-11h5l-11 22h-5l-1-10v-6l-3 6-5 10h-5l-2-22h6z"/>
    <use xlink:href="#k" x="-1.3" y="-1.3"/>
    <use xlink:href="#l" x="-1.3" y="-1.3"/>
    <use xlink:href="#m" x="-1.3" y="-1.3"/>
    <path d="m99 170 1 11 1 5 2-5 6-12h6l-13 23h-5l-4-23h5z"/>
    <use xlink:href="#n" x="-1.3" y="-1.3"/>
    <use xlink:href="#o" x="-1.3" y="-1.3"/>
    <path d="M165 173c-3 0-5 3-6 6 6 0 9-1 9-4 0-1-1-2-3-2m5 18-8 1c-6 0-9-3-9-9 0-7 5-14 13-14 4 0 7 3 7 6 0 6-6 8-14 8v3l5 2 6-1v4zM51 211h-9l1-4h23l-1 4h-9l-5 26h-5l5-26zm15 18c0 3 2 5 5 5 4 0 6-6 6-10 0-2-1-5-4-5-4 0-7 5-7 10m17-5c0 7-5 14-13 14-6 0-9-4-9-9 0-8 5-14 13-14 6 0 9 4 9 9"/>
    <use xlink:href="#p" x="-1.4" y="-1.3"/>
    <path d="m110 237 3-13 1-9h4v5c2-3 4-5 7-5h1l-1 5h-1c-4 0-6 4-7 8l-2 9h-5z"/>
    <use xlink:href="#q" x="-1.3" y="-1.3"/>
    <g fill="gray">
        <path d="m216 193-2-1 1-1-2-2-3-1-3 1h-1l-41 19v2l-3 1c-1 1 0 1 1 2h-2l1 2c-2 0 1 1 1 1v2a9 9 0 0 0 3 0l-1 1v1h1l1 1h4l42-20v-1l3-1c1-1-2-2-2-1l-1-1h1v-1h2v-1h2c1-1-2-2-2-2m10 12-3-1 1-1-2-2-3-1-2 1h-2l-41 19 1 2-4 1c-1 1 1 1 1 2h-1v2l2 1h-1v2a9 9 0 0 0 3 0v1l-1 1h2v1h4l42-20 1-1 2-1c2-1-2-1-2-1l-1-1h1l1-1h1l1-1h1c1-1-1-2-1-2"/>
        <path d="m232 217-2-1 1-1-2-2-3-1-3 1h-1l-41 19v2l-3 1c-1 1 0 1 1 2h-2l1 2c-2 0 1 1 1 1v2h3l-1 1v1h1l1 1h4l42-20v-1l3-1c1-1-2-2-2-1l-1-1h1v-1h2v-1h1c2-1-1-2-1-2"/>
    </g>
    <path fill="red"
          d="m232 218-2-1h1c1-1-1-2-2-3l-3-1-3 1h-1l-41 19v2l-3 1c-1 1 0 2 1 2l-2 1 1 1c-2 1 1 1 1 2v1l3 1h-1v1l1 1h5l42-20v-1l3-1c1-1-2-1-2-1h-1l1-1 2-1 1-1c2-1-1-2-1-2"/>
    <path fill="#fff"
          d="m216 194-2-1h1c1-1-1-2-2-3l-3-1-3 1h-1l-41 19v2l-3 1c-1 1 0 2 1 2l-2 1 1 1c-2 1 1 1 1 2v1l3 1h-1v1l1 1h5l42-20v-1l3-1c1-1-2-1-2-1h-1l1-1 2-1 1-1c2-1-1-2-1-2"/>
    <path fill="#2975ec"
          d="m224 206-2-1h1c1-1-1-2-2-3l-3-1-3 1h-1l-41 19v2l-3 1c-1 1 0 2 1 2l-2 1 1 1c-2 1 1 1 1 2v1l3 1h-1v1l1 1h5l42-20v-1l3-1c1-1-2-1-2-1h-1l1-1 2-1 1-1c2-1-1-2-1-2"/>
    <g fill="none" stroke-miterlimit="10" stroke-width="3">
        <path stroke="#fff" d="M66 83s0-1 0 0"/>
        <path stroke="#000" d="m106 25-1 2-1 1"/>
        <g stroke="#000">
            <use xlink:href="#a" x="-1.3" y="-1.3"/>
            <use xlink:href="#b" x="-1.3" y="-1.3"/>
            <use xlink:href="#c" x="-1.3" y="-1.3"/>
            <use xlink:href="#d" x="-1.3" y="-1.3"/>
            <path d="M90 27c-1-2-2-4-1-7l3-5 1-1 1-1 2-4V7l1-1 1 1 1 2 2 4 1 1 1 1c1 1 3 3 3 5l-1 7"/>
            <use xlink:href="#e" x="-1.3" y="-1.3"/>
            <use xlink:href="#f" x="-1.3" y="-1.3"/>
            <use xlink:href="#g" x="-1.3" y="-1.3"/>
            <use xlink:href="#h" x="-1.3" y="-1.3"/>
            <path d="M43 79v-2"/>
        </g>
    </g>
    <defs>
        <path id="a"
              d="m45 78-2 4-3 7-2 2-3 1c-3 2-6 5-8 9s0 9 3 12c1 1 2 2 4 1v15l-4 1a77 77 0 0 1-5 36l-4 8c-2 2-5 3-7 3l-1 31"/>
        <path id="b" d="M119 87c-2-2-3-5-2-7s3-5 6-6l2-1 1-2 3-4 1-1 1 1 2 4 2 2 1 1c3 1 5 3 6 6s0 5-2 7"/>
        <path id="c" d="M67 84v1h1v1l1 2 1 1h1l3 3 1 3"/>
        <path id="d" d="m61 97-1-5c0-2 2-2 4-3l1-1 2-2v-2"/>
        <path id="e" d="M141 86v15h1l1 1 1 1a25 25 0 0 1 6 5l1 2v2l1 7"/>
        <path id="f" d="m45 79 1 3 4 7 2 2 3 1c4 2 8 5 9 9s0 9-3 12"/>
        <path id="g" d="M75 96c3-2 4-6 3-9v-3c0-2 2-3 3-4v-8c-1-2 1-5 2-8l4-7 1-5 2-5c2-5 2-11 2-16l-2-4"/>
        <path id="h" d="m118 87-4-13v-8l-5-8-1-5-2-4c-2-5-1-11-1-17 0-1 0-3 2-4"/>
        <path id="i"
              d="m104 143 5 1c2 0 4-1 4-3l-3-3c-3-1-5-3-5-6 0-4 4-7 9-7l5 1-1 4-4-1c-2 0-3 1-3 2 0 2 1 2 2 3 3 2 5 4 5 6 0 5-4 8-9 8l-7-2 2-3z"/>
        <path id="j" d="m137 147-6 1c-6 0-9-4-9-9 0-8 6-14 14-14l5 1-2 4-3-1c-5 0-9 5-9 9s2 6 5 6l5-1v4z"/>
        <path id="k"
              d="M50 177h3c4 0 7-3 7-6s-2-5-5-5l-3 1-2 10zm-2-14 7-1 8 2 3 6c0 4-2 7-4 9-3 2-6 3-10 3l-3-1-2 12h-5l6-30z"/>
        <path id="l" d="m66 193 2-14 2-8h4v5c1-3 4-6 7-6h1l-1 6a6 6 0 0 0-1 0c-4 0-6 3-7 8l-2 9h-5z"/>
        <path id="m" d="M87 165c0-2 1-3 3-3s3 1 3 2c0 2-2 4-4 4l-2-3m-5 28 4-22h5l-4 22h-5z"/>
        <path id="n"
              d="m131 175-2-1c-5 0-9 6-9 11 0 2 1 4 4 4 2 0 5-3 6-8l1-6zm-2 18 1-5h-1c-2 4-5 6-8 6-4 0-6-3-6-8 0-8 5-16 16-16l6 1-2 12-1 10h-5z"/>
        <path id="o" d="m151 165-2 6h5v4h-5l-2 9v3l1 2h2v4l-4 1c-3 0-5-2-5-5l1-4 1-10h-3l1-4h3l1-5 6-1z"/>
        <path id="p" d="m110 216-3 16-1 7h-5v-4c-2 3-5 4-8 4s-5-1-5-6v-4l2-13h6l-3 13v3c0 2 1 3 3 3s5-3 6-8l2-11h6z"/>
        <path id="q"
              d="m128 234 5 1 4-2c0-2-1-3-3-4-3-1-5-3-5-6 0-4 4-7 9-7l6 1-2 4-4-1c-2 0-3 1-3 3l3 3c2 1 4 3 4 6 0 5-4 7-9 7l-7-1 2-4z"/>
    </defs>
</svg>

templates/includes/inc_main_menu.html
{% load i18n %}

<div class="hidden  w-full md:block md:w-auto md:order-1" id="navbar-dropdown">
                <ul class="mt-4 flex flex-col rounded-lg border border-gray-100 bg-gray-50 p-4 font-medium  md:space-x-8 md:mt-0 md:flex-row md:border-0 md:bg-transparent md:p-0 ">
                    <li>
                        <a class="menu-item" href="{% url 'main:tours' %}"><button  data-dropdown-toggle="dropdownTours"
                                data-dropdown-trigger="hover"
                                class="flex w-full items-center justify-between rounded py-2 pr-4 pl-3  text-xl hover:bg-gray-100 md:w-auto md:border-0 md:p-0  md:hover:bg-transparent">
                            {% translate 'Tours' %}
                            {% include 'includes/icons/down_arrow.html' %}
                        </button></a>
                        <!-- Dropdown Tours menu -->
                        <div id="dropdownTours"
                             class="z-50 hidden w-72 rounded-lg bg-white font-normal shadow divide-y divide-gray-200">
                            <ul class="py-2 text-sm text-gray-600" aria-labelledby="dropdownLargeButton">
                             {% for tour in tours %}
                                <li>
                                    <a href="{% url 'main:tour' tour.slug %}"
                                       class="block px-4 py-2 text-xl hover:bg-gray-100">{{ tour.title }}</a>
                                </li>
                            {% endfor %}
                            </ul>
                            <div class="py-2">
                                <a href="https://www.stpeteprivatetours.com/"
                                   class="block px-4 py-2 text-sm text-gray-600 text-xl hover:bg-gray-100">{% translate 'Tours in St Petersburg' %}</a>
                            </div>
                        </div>
                    </li>
                    <li>
                        <a href="/#guides"
                           class="menu-item">
                            <button data-dropdown-toggle="dropdownGuides"
                                data-dropdown-trigger="hover"
                                class="flex w-full items-center justify-between rounded py-2 pr-4 pl-3  text-xl hover:bg-gray-100 md:w-auto md:border-0 md:p-0 md:hover:bg-transparent">
                            {% translate 'Guides' %}
                            {% include 'includes/icons/down_arrow.html' %}
                        </button></a>
                        <div id="dropdownGuides"
                             class="z-50 hidden w-72 rounded-lg bg-white font-normal shadow divide-y divide-gray-200">
                            <ul class="py-2 text-sm text-gray-600" aria-labelledby="dropdownLargeButton">
                                {% for guide in guides_menu %}
                                <li>
                                    <a href="{% url 'main:guide' guide.slug %}"
                                       class="block px-4 py-2 text-xl hover:bg-gray-100">{{ guide.name }}</a>
                                </li>
                            {% endfor %}
                            </ul>

                        </div>
                    </li>
                    <li>
                        <a href="{% url 'main:visa' %}"
                           class="menu-item">{% translate 'Visa Invitation' %}</a>
                    </li>
                    <li>
                        <a href="{% url 'users:contacts' %}"
                           class="menu-item">{% translate 'Contacts' %}</a>
                    </li>
                </ul>
            </div>

templates/includes/inc_nav_black.html
{% load i18n %}
<style>
        #dropdownNavbarLink, .menu-item, .firstflag {
            color: rgb(107, 114, 128);
        }
    </style>

<nav class="border-b-[1px]">
        <div class="mx-auto flex max-w-screen-xl flex-wrap items-center justify-between p-4 ">
            <div class="flex items-center">
                <a href="/">
                    {% include 'includes/inc_black_logo.html' %}
                </a>
            </div>


            <!-- Language Selector Start -->
            <div class="flex items-center ml-auto md:m-0 md:order-2">
                {% get_current_language as current_language %}
                {% include 'includes/lang_switcher/'|add:current_language|add:'_lang_switcher.html' %}
            </div>
            <!-- Language Selector End -->

            <!-- Mobile Accordion Start -->
            <button data-collapse-toggle="navbar-dropdown" type="button"
                    class="ml-3 inline-flex items-center rounded-lg p-2 text-sm text-white hover:bg-gray-100 hover:text-gray-800 focus:outline-none focus:ring-2 focus:ring-gray-200 dark:text-gray-400 md:hidden"
                    aria-controls="navbar-dropdown" aria-expanded="false">
                <span class="sr-only">Menu</span>
                <svg class="h-6 w-6" aria-hidden="true" fill="#000" viewBox="0 0 20 20"
                     xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                          d="M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 15a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1z"
                          clip-rule="evenodd"></path>
                </svg>
            </button>

            <!-- Mobile Accordion End -->

            <!-- Main Menu Start -->
            {% include 'includes/inc_main_menu.html' %}
            <!-- Main Menu End -->
        </div>
    </nav>

templates/includes/inc_nav_white.html
{% load i18n %}

<nav>
        <div class="mx-auto flex max-w-screen-xl flex-wrap items-center justify-between p-4">
            <div class="flex items-center">
                <a href="/">
                    {% include 'includes/inc_white_logo.html' %}
                </a>
            </div>


            <!-- Language Selector Start -->
            <div class="flex items-center ml-auto md:m-0 md:order-2">
                {% get_current_language as current_language %}
                {% include 'includes/lang_switcher/'|add:current_language|add:'_lang_switcher.html' %}
            </div>
            <!-- Language Selector End -->

            <!-- Mobile Accordion Start -->
            <button data-collapse-toggle="navbar-dropdown" type="button"
                    class="ml-3 inline-flex items-center rounded-lg p-2 text-sm text-white hover:bg-gray-100 hover:text-gray-800 focus:outline-none focus:ring-2 focus:ring-gray-200 dark:text-gray-400 md:hidden"
                    aria-controls="navbar-dropdown" aria-expanded="false">
                <span class="sr-only">Menu</span>
                <svg class="h-6 w-6" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20"
                     xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                          d="M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 15a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1z"
                          clip-rule="evenodd"></path>
                </svg>
            </button>

            <!-- Mobile Accordion End -->

            <!-- Main Menu Start -->
            {% include 'includes/inc_main_menu.html' %}
            <!-- Main Menu End -->
        </div>
    </nav>